Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029115
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2015-03-03 18:052015-05-07 22:16
ReporteregoitzView Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisiondc5fdc07fcc5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029115: An order partially delivered appears to be invoiced after invoice the delivered part

DescriptionOn the generate invoices form order window a you can see orders that have been partially delivered also when the part delivered has been invoiced.omp
Steps To Reproduce-Create a sales order with invoice term "after delivery" and with a line with qty=2
-Complete
-Create a shipment for the same partner
-Using the create from order window select the line created on the product
-Change the qty from 2 to 1.
-Complete
-Go to create invoices form order and invoice the previously created order.
-the invoice is created but the order still appear to be invoice
-If you click again to invoice it you receive a sucess message with Created=0 text and the invoice still appears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0075217)
reinaldoguerra (developer)
2015-03-05 20:36

Unable to reproduce. Invoices only are created once per order, using process "Generate Invoices". Please specify more the steps to reproduce the issue.
(0076367)
jorge-garcia (developer)
2015-04-07 15:50

Test Plan:

-Create a sales order with invoice term "after delivery" and with a line with qty=2
-Complete
-Create a shipment for the same partner
-Using the create from order window select the line created on the product
-Change the qty from 2 to 1.
-Complete
-Go to create invoices form order and invoice the previously created order.
-Check the invoice is created and the order doesn't appear to be invoice
-Create another shipment for the same partner
-Using the create from order window select the line created on the product
-Go to create invoices from order again and see the order appears again.
-Invoice the sales order
(0076443)
hgbot (developer)
2015-04-10 13:16

Repository: erp/devel/pi
Changeset: dc5fdc07fcc5940802ea42fd9d164079619856d4
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Apr 07 15:15:30 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dc5fdc07fcc5940802ea42fd9d164079619856d4 [^]

Fixed issue 29115: An order partially delivered appears to be invoiced

An order partially delivered appears to be invoiced after invoice the
delivered part.

The solution is to show those orders who have goods delivered and
not invoiced. Now, the Create Invoices from Orders shows only those
orders.

---
M src/org/openbravo/erpCommon/ad_forms/GenerateInvoicesmanual_data.xsql
---
(0076444)
umartirena (developer)
2015-04-10 13:17

Code Review + Testing OK
(0077116)
hudsonbot (developer)
2015-05-07 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-03-03 18:05 egoitz New Issue
2015-03-03 18:05 egoitz Assigned To => Sandrahuguet
2015-03-03 18:05 egoitz Modules => Core
2015-03-03 18:05 egoitz Triggers an Emergency Pack => No
2015-03-05 02:09 reinaldoguerra Assigned To Sandrahuguet => reinaldoguerra
2015-03-05 02:09 reinaldoguerra Status new => scheduled
2015-03-05 20:36 reinaldoguerra Note Added: 0075217
2015-03-05 20:36 reinaldoguerra Status scheduled => feedback
2015-03-09 12:12 jonalegriaesarte Assigned To reinaldoguerra => egoitz
2015-03-09 12:25 egoitz Note Added: 0075312
2015-03-09 12:25 egoitz Status feedback => new
2015-03-09 12:25 egoitz Assigned To egoitz => reinaldoguerra
2015-03-10 17:02 reinaldoguerra Status new => scheduled
2015-03-20 09:35 heccam Issue Monitored: heccam
2015-04-01 17:08 jorge-garcia Assigned To reinaldoguerra => jorge-garcia
2015-04-01 17:28 egoitz Note Deleted: 0075312
2015-04-01 17:28 egoitz Steps to Reproduce Updated View Revisions
2015-04-07 15:50 jorge-garcia Note Added: 0076367
2015-04-10 13:16 hgbot Checkin
2015-04-10 13:16 hgbot Note Added: 0076443
2015-04-10 13:16 hgbot Status scheduled => resolved
2015-04-10 13:16 hgbot Resolution open => fixed
2015-04-10 13:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dc5fdc07fcc5940802ea42fd9d164079619856d4 [^]
2015-04-10 13:17 umartirena Review Assigned To => umartirena
2015-04-10 13:17 umartirena Note Added: 0076444
2015-04-10 13:17 umartirena Status resolved => closed
2015-04-10 13:17 umartirena Fixed in Version => pi
2015-05-07 22:16 hudsonbot Checkin
2015-05-07 22:16 hudsonbot Note Added: 0077116


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker